﻿using Mcs.CMOS.StreamIO;
using Mcs.DataTypes;
using System.Collections.Generic;

namespace Mcs.CMOS.DataClient
{
    public class ClientPacket
    {
        public enum enContent
        {
            Spikes,
            Event
        }

        public Dictionary<int, List<Spike>> Spikes { get; private set; }
        public Event Event { get; private set; }
        public enContent Content { get; private set; }


        public ClientPacket(Dictionary<int, List<Spike>> spikes)
        {
            Spikes = spikes;
            Content = enContent.Spikes;
        }
        public ClientPacket(Event evt)
        {
            Event = evt;
            Content = enContent.Event;
        }

    }
}
